package cn.liujson.app.update.util;

import cn.liujson.app.update.BuildConfig;

/**
 * @author liujson
 * @date 2020/8/5.
 */
public class Log {
    private static final String TAG = "APP_UPDATE_LOG";

    public static void d(String tag, String message) {
        if (BuildConfig.DEBUG) {
            android.util.Log.d(tag, message);
        }
    }

    public static void d(String message, Object... args) {
        if (BuildConfig.DEBUG) {
            android.util.Log.d(TAG, String.format(message, args));
        }
    }

    public static void e(String tag, String message) {
        if (BuildConfig.DEBUG) {
            android.util.Log.e(tag, message);
        }
    }

    public static void e(String message, Object... args) {
        if (BuildConfig.DEBUG) {
            android.util.Log.e(TAG, String.format(message, args));
        }
    }
}
